<!doctype html>
<html lang="ru" class="h-100">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lab: Bootstrap&Vue</title>
    <link rel="apple-touch-icon" sizes="180x180" href="assets/template/image/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="assets/template/image/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="assets/template/image/favicon/favicon-16x16.png">
    <link rel="manifest" href="assets/template/image/favicon/site.webmanifest">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.min.css">
    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }


        .footer {
            padding: 16px 0;
        }
    </style>
</head>
<body class="d-flex flex-column h-100">
<div class="modal fade" id="addImage" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Добавить изображение</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <div class="mb-3">
                    <label for="imageTitle" class="form-label">Название изображения:</label>
                    <input type="text" class="form-control" id="imageTitle" name="imageTitle" required>
                </div>
                <div class="mb-3">
                    <label for="imageSource" class="form-label">Ссылка на изображение:</label>
                    <input type="url" class="form-control" id="imageSource" name="imageSource" required>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="ml-auto btn btn-secondary" data-bs-dismiss="modal">Отменить</button>
                <button type="button" class="btn btn-primary">Добавить</button>
            </div>
        </div>
    </div>
</div>
<header class="header mb-3">
    <nav class="navbar navbar-light bg-light navbar-expand-lg">
        <div class="container">
            <a class="navbar-brand" href="/">
                <img src="assets/template/image/bootstrap-logo.svg" alt="Bootstrap logo" width="30" height="24">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" href="./bootstrap_and_vue.html">Bootstrap&Vue</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="./demo.html">Demo</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="./form.html">Form</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>
<main class="main">
    <div class="container">
        <h1 class="mb-3">Bootstrap&Vue</h1>
        <div class="mb-3 row">
            <label for="maxImagesAmount" class="col-sm-3 col-form-label">Введите максимальное количество
                изображений:</label>
            <div class="col-sm-9">
                <input type="number" min="0" max="4" class="form-control" id="maxImagesAmount" name="maxImagesAmount"
                       value="4">
            </div>
        </div>
        <div class="mb-3 progress">
            <div class="progress-bar" style="width: 25%;">25%</div>
        </div>
        <p class="mb-3">Текущее количество изображений: <span class="badge bg-secondary">1</span></p>
        <button type="button" class="mb-3 btn btn-primary" data-bs-toggle="modal" data-bs-target="#addImage">
            Добавить изображение
        </button>
        <div class="alert alert-success alert-dismissible show fade">
            Изображение добавлено
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
        <div class="row row-cols-1 row-cols-md-3 g-4">
            <div class="col">
                <div class="card h-100">
                    <svg class="bd-placeholder-img card-img-top" width="100%" height="140"
                         xmlns="http://www.w3.org/2000/svg" role="img"
                         preserveAspectRatio="xMidYMid slice" focusable="false">
                        <title>Placeholder</title>
                        <rect width="100%" height="100%" fill="#868e96"></rect>
                        <text x="50%" y="50%" fill="#dee2e6" dy=".3em">Image title</text>
                    </svg>
                    <div class="card-body">
                        <h5 class="card-title">Image title</h5>
                    </div>
                    <div class="card-footer text-end">
                        <button class="btn btn-danger" type="button">Удалить</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<footer class="footer mt-auto bg-light">
    <div class="container">
        <div class="row">
            <div class="col-6">Артём</div>
            <div class="col-6">13.01.2022</div>
        </div>
    </div>
</footer>
<script src="node_modules/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
<!--test-->
<!--<svg class="test-svg">-->
<!--    <use xlink:href="assets/template/image/sprite.svg#Freesample"></use>-->
<!--</svg>-->
<!--<span class="icon icon-PNG-transparency-demonstration-1"></span>-->
</body>
</html>